import request from '@/utils/request';

// 获取拜访照片AI识别异常，待审批列表。 失败异常照片需要部主管审批
export function getPhotoApproveList(query) {
  return request({
    url: 'mobile/visit/getPhotoApproveList',
    method: 'get',
    params: query,
  });
}

// 获取拜访照片AI识别异常详情
export function getPhotoApproveDetail(query) {
  return request({
    url: 'mobile/visit/getPhotoApproveDetail',
    method: 'get',
    params: query,
  });
}

//部主管反馈图片识别异常
export function savePhotoApprove(data) {
  return request({
    url: 'mobile/visit/savePhotoApprove',
    method: 'post',
    data,
  });
}
